<template>
    <modal
            name="recoverycode-modal"
            transition="nice-modal-fade"
            :min-width="200"
            :min-height="200"
            :pivot-y="0.5"
            :adaptive="true"
            :scrollable="true"
            :reset="true"
            :max-width="600"
            width="80%"
            height="auto">
        <div class="modal-content">
        <h2 class="modal-h2">{{time}}</h2>
        <h2 class="modal-h2">Восстановление пароля</h2>
            <div class="modal-words">На ваш номер телефона
                было выслано соббщение с кодом
                введите его в поле</div>
            <div>
                <div v-if="error" class="error-msg">{{error}}</div>
                <input type="text" class="text-input" placeholder="Введите код" v-model="code">

            </div>
            <div class="text-center">
                <button class="a-btn" @click="confirm_phone">Далее</button>
            </div>

        </div>
    </modal>
</template>

<script>
export default {
  name: 'LoginModal',
    data(){
        return{
            code: '',
            error: '',
            time: '',
        }
    },
    methods: {
        beforeOpened(event) {
            let time = new Date(new Date().getTime() + 90000)
            let that = this;
            // this.time = minutes + ':' + seconds
            var timeinterval = setInterval(function(){
                let t = Date.parse(time) - Date.parse(new Date());
                var seconds = Math.floor( (t/1000) % 60 );
                var minutes = Math.floor( (t/1000/60) % 60 );
                that.time = minutes + ':' + seconds
                if(t<=0){
                    clearInterval(timeinterval);
                }
            },1000);
        },
        confirm_phone() {
            let code = this.code
            this.error = '';
            this.$store.dispatch('confirm_phone',  code)
                .then(() => {
                    this.$modal.hide('recoverycode-modal');
                    this.$modal.show('newpassword-modal')
                })
                .catch(err => this.error = err)
        }
    },
}
</script>
